com.aventstack.extentreports

## Interface TestListener

- All Known Subinterfaces:
    ExtentReporter
  All Known Implementing Classes:
    AbstractReporter, BasicFileReporter, ConfigurableReporter, ConsoleLogger, ExtentAventReporter, ExtentBDDReporter, ExtentCardsReporter, ExtentEmailReporter, ExtentHtmlReporter, ExtentKlovReporter, ExtentLoggerReporter, ExtentTabularReporter

      public interface TestListener

  Listener methods invoked when an event occurs in the report:
  - A test or node is started
  - A category or author is added
  - A media object is added etc.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAuthorAssigned(Test test, Author author)` Invoked each time an author is assigned to any test/node
    `void` | `onCategoryAssigned(Test test, Category category)` Invoked each time a category is assigned to any test/node
    `void` | `onDeviceAssigned(Test test, Device device)` Invoked each time a device is assigned to any test/node
    `void` | `onLogAdded(Test test, Log log)` Invoked each time a log is added to any test/node
    `void` | `onNodeStarted(Test node)` Invoked when a node is started using `createNode()`
    `void` | `onScreenCaptureAdded(Log log, ScreenCapture screenCapture)` Invoked each time a screencapture is added to log
    `void` | `onScreenCaptureAdded(Test test, ScreenCapture screenCapture)` Invoked each time a screencapture is added to test
    `void` | `onScreencastAdded(Test test, Screencast screencast)` Invoked each time a screencast is added
    `void` | `onTestRemoved(Test test)` Invoked when a test is removed using `removeTest()`
    `void` | `onTestStarted(Test test)` Invoked when a test is started using `createTest()`

- - ### Method Detail

    - #### onTestStarted

          void onTestStarted(Test test)

      Invoked when a test is started using `createTest()`
      Parameters:
        `test` - `Test` object

    - #### onTestRemoved

          void onTestRemoved(Test test)

      Invoked when a test is removed using `removeTest()`
      Parameters:
        `test` - `Test` object

    - #### onNodeStarted

          void onNodeStarted(Test node)

      Invoked when a node is started using `createNode()`
      Parameters:
        `node` - `Test` object

    - #### onLogAdded

          void onLogAdded(Test test,
                          Log log)

      Invoked each time a log is added to any test/node
      Parameters:
        `test` - `Test` object
        `log` - `Log` object

    - #### onCategoryAssigned

          void onCategoryAssigned(Test test,
                                  Category category)

      Invoked each time a category is assigned to any test/node
      Parameters:
        `test` - `Test` object
        `category` - `Category` object

    - #### onAuthorAssigned

          void onAuthorAssigned(Test test,
                                Author author)

      Invoked each time an author is assigned to any test/node
      Parameters:
        `test` - `Test` object
        `author` - `Author` object

    - #### onDeviceAssigned

          void onDeviceAssigned(Test test,
                                Device device)

      Invoked each time a device is assigned to any test/node
      Parameters:
        `test` - `Test` object
        `device` - `Device` object

    - #### onScreenCaptureAdded

          void onScreenCaptureAdded(Test test,
                                    ScreenCapture screenCapture)
                             throws IOException

      Invoked each time a screencapture is added to test
      Parameters:
        `test` - `Test` object
        `screenCapture` - `ScreenCapture` object
      Throws:
        `IOException` - Exception thrown if the media object is not found

    - #### onScreenCaptureAdded

          void onScreenCaptureAdded(Log log,
                                    ScreenCapture screenCapture)
                             throws IOException

      Invoked each time a screencapture is added to log
      Parameters:
        `log` - `Log` object
        `screenCapture` - `ScreenCapture` object
      Throws:
        `IOException` - Exception thrown if the media object is not found

    - #### onScreencastAdded

          void onScreencastAdded(Test test,
                                 Screencast screencast)
                          throws IOException

      Invoked each time a screencast is added
      Parameters:
        `test` - `Test` object
        `screencast` - `Screencast` object
      Throws:
        `IOException` - Exception thrown if the media object is not found

Copyright © 2018. All rights reserved.